summaryrefslogtreecommitdiffstats
path: root/abs/core/lighttpd/lighttpd.rc.d
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 01:57:08 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 01:57:08 (GMT)
commit7b29169fff9e7c624890c5edffe85def8a293136 (patch)
tree47753889faa3a2063b66d1c7e7681e703eb1b39a /abs/core/lighttpd/lighttpd.rc.d
parentc491dea779dac29afff3578bf8245943817c2339 (diff)
downloadlinhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.zip
linhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.tar.gz
linhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.tar.bz2
LinHES 6.01.00
Diffstat (limited to 'abs/core/lighttpd/lighttpd.rc.d')
-rw-r--r--abs/core/lighttpd/lighttpd.rc.d38
1 files changed, 38 insertions, 0 deletions
diff --git a/abs/core/lighttpd/lighttpd.rc.d b/abs/core/lighttpd/lighttpd.rc.d
new file mode 100644
index 0000000..97c315f
--- /dev/null
+++ b/abs/core/lighttpd/lighttpd.rc.d
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/lighttpd`
+
+case "$1" in
+ start)
+ stat_busy "Starting lighttpd Daemon"
+ [ -z "$PID" ] && /usr/sbin/lighttpd -f /etc/lighttpd/lighttpd.conf 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon lighttpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping lighttpd Daemon"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon lighttpd
+ rm -f /var/run/lighttpd/lighttpd.pid
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac